# Get processor settings

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/processors/{processor_id}/settings`

Retrieve the field definitions and default values for connecting a processor.
This returns the form schema used when creating a gateway connection.

Note: The `settings` and `values` response fields use a proprietary format
primarily consumed by the onboarding UX component.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `processor_id` | path | string | yes | The processor's `id` from [List processors](/platforms/reference/operations/listprocessors/), e.g. `STRIPE`. It must match exactly. |

## Responses

### 200: Processor settings

```json
{
  "settings": {},
  "values": {}
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Processor not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/processors/PROCESSOR_ID/settings \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getprocessorsettings/